PDA

View Full Version : Aureal Vortex2 cards



stonent
01-20-2003, 04:35 AM
They don't seem to be supported at all. It sees the card but there are no modules for it in /lib/modules.....

Hans
01-20-2003, 04:27 PM
They don't seem to be supported at all. It sees the card but there are no modules for it in /lib/modules.....

I have the same problem :cry:

Hans
01-20-2003, 04:27 PM
They don't seem to be supported at all. It sees the card but there are no modules for it in /lib/modules.....

I have the same problem :cry:

davesg
01-24-2003, 11:42 AM
In short, Creative Labs bought Aureal, and is not releasing the information required to write a proper driver.

Links:
http://www.linux.org.uk/OSS/ Home page of the Linux Sound SubSystem, which Knoppix supports at present. Aureal cards are listed as unsupported.
http://alsa.linux.or.jp/black.html Black list page of the ALSA Project, which is developing the next-generation soundcard support for Linux.

The remaining options would require modifying Knoppix and creating a new master CD.

http://www.opensound.com/osshw.html List of cards supported by 4Front Technology's Open Sound System. The original developer of the Linux Sound SubSystem went on to start this as a business. They list support for the Vortex and Vortex2, but check the README for details. The AU8810 is not supported.
The Open Sound System is designed to be compatible with the Linux Sound SubSystem, but is not free of charge and is not Free -- it may not be legally distributed free of charge. In other words, you can add it to your own Knoppix master, but you can not then give the master away.

http://www.greg.louisville.ky.us/archive/000113.html Greg Loeffler's page on using Aureal's old AU88xx drivers with Linux. Follow his instructions for Debian. Loeffler mentions using the 2.4.18 Linux Kernel; as I write this (January, 2003) Knoppix is using the 2.4.20 Linux Kernel.

Good luck!

stonent
01-24-2003, 02:51 PM
Back about 2 years ago I ran linux one of my computers that had the Vortex2 card in it and it worked fine, so it was good enough for /dev/audio
I see it probe for the xxxxx.o (don't remember the name) and then it says the file wasn't found.

mayouan
05-12-2004, 12:13 PM
i do think that alsa suports those cards, i do not remeber how but i managed to get an Vortex 1 card working on my hd installed knoppix by downloading and compiling au8820 from the alsa home page.

further more does for instance womp (a live cd distro.) support aureal vortex.

http://womp.sf.net

sakiZ
12-10-2004, 04:17 PM
Hmm, this tread is most interesting. My trusty Aureal 8810 works just fine using kernel version 2.6. But not in v. 2.4.

I don't know why. :-) I'm brand new at this Knoppix thing.

If I could only get my modem working in 2.6 I'd be good to go.

sakiZ